#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		platform	linux-g++
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	qt5-qtimageformats
Version		:	5.15.14
Release		:	17.0.10.rel%{?dist}
Summary		:	Qt5 - QtImageFormats component

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://download.qt.io/archive/qt/(vers/rel)/single

Source0		:	%{sname}-everywhere-opensource-src-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	libtiff
BuildRequires	:	libwebp
BuildRequires	:	qt5-qtbase-devel
BuildRequires	:	qt5-rpm-macros

#-----------------------------------------------------------------------------
%description
The core Qt Gui library by default supports reading
and writing image files of the most common file
formats: PNG, JPEG, BMP, GIF and a few more, ref.
Reading and Writing Image Files. The Qt Image
Formats add-on module provides optional support
for other image file formats, including:
MNG, TGA, TIFF, WBMP.
 
#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE.GPL*
%license LICENSE.LGPL*
%{_qt5_plugindir}/imageformats/libqtga.so
%{_qt5_plugindir}/imageformats/libqtiff.so
%{_qt5_plugindir}/imageformats/libqwbmp.so
%{_qt5_plugindir}/imageformats/libqicns.so
%{_qt5_plugindir}/imageformats/libqwebp.so
%{_qt5_libdir}/cmake/Qt5Gui/Qt5Gui_*Plugin.cmake
 
#=============================================================================
%prep
%setup -q -n %{sname}-everywhere-src-%{version}

#-----------------------------------------------------------------------------
#building application
%build

export PATH=%{_qt5_bindir}:$PATH
export LD_LIBRARY_PATH=%{_qt5_libdir}

%{__mkdir_p} _bld
pushd _bld > /dev/null
qmake							\
	"CONFIG+=debug"					\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pushd _bld
%{__make}						\
	INSTALL_ROOT="%{buildroot}"			\
	install
popd

#To remove libtool library
find 							\
	%{buildroot}%{_qt5_libdir}			\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
